Introduction

 Top Next

Welcome, you're browsing FlashBoot user manual for version 3.3 of the software.

This topic provides general information about FlashBoot features and ordering information.


Product Overview

 Top Previous Next

USB storage devices are extremely useful, but they would be so much more useful if they did more than just store your data. Imagine being able to install an entire operating system of your choice onto a USB device, then boot from that device on any machine. Now imagine that dream coming true, and you have FlashBoot.

FlashBoot enables you to install an instance of the Windows OS onto a USB device, empowering you to boot any PC from that device. With FlashBoot, you’ll be able to walk about with a fully-functional installation of Windows 11, 10, 8.1 or 8 in your pocket, ready to go under any circumstance. Need your favorite app, document, game, or browser when you’re sitting in front of a strange computer? Just break out your USB device formatted using FlashBoot!

Also FlashBoot can create installable clone of Windows 7, Windows 8.x or Windows 10/11 which can be used to instantly copy all your apps, settings, documents, games and browsers from old computer to a new computer (even with dissimilar hardware), move operating system from HDD to SSD, move it from/to RAID array, copy OS between virtual machine and real hardware (or between virtual machines of different vendors), or switch Windows boot method between UEFI and non-UEFI. This feature can be used to gain unpartitioned disk space for dual-boot configurations (such as Windows 10/11 and Windows 7, Windows 10/11 and Linux) by reinstalling your OEM copy of Windows in-place. Additionally, this self-extracting backup of Windows will be of good use in the case of next ransomware virus attack, failed Windows update, or accidently deleted file.

If you dislike Windows 10/11 because you don't want forced updates with untimely reboots, you don't want privacy intrusions like telemetry which can't be disabled, and you don't want your system preferences to reset on every major OS upgrade, then way to go is to return to Windows 7.

But hardware marches on, and older operating systems hardly can play catch-up. If you try to install Windows 7 on the contemporary laptop, you even won't get past the first screen: lack of builtin USB 3.x support makes USB mouse, keyboard and source USB thumbdrive inaccessible to Windows 7 setup.

Fortunately, FlashBoot can not only convert Windows setup DVD or image file to USB thumbdrive, but also integrate any drivers to it. Windows 7, supercharged with proper drivers, will support USB 3.x, NVMe, RAID, and any other modern hardware. For your convenience, FlashBoot already contains all necessary drivers for most popular hardware. FlashBoot can also integrate user-supplied drivers.

Also FlashBoot facilitates installation of older operating systems, such as Windows XP, from USB thumdrive, and running minified version of it (known as BartPE) from USB thumbdrive. You can even use FlashBoot to build self-extracting standalone EXE files that contain exactly what you want, for rapid deployment whenever you need it.


FlashBoot vs Other Tools

Unlike other tools, FlashBoot can create FAT32 filesystems on USB thumdrives larger than 32 Gb. This is especially important in UEFI environment, where filesystem on USB thumbdrive must be recognized by motherboard firmware, and so NTFS is not supported.

Unlike other tools, FlashBoot can work with USB thumdrives which have no drive letter assigned or have no partitions. If capacity of USB thumdrive was reduced by other tools (for example, 64 Gb USB thumbdrive has become 32 Gb USB thumbdrive), then FlashBoot will automatically recover it to full capacity.

Unlike other tools, FlashBoot supports ESD format of source Windows installation images (in addition to ISO image files and directly-accessed DVD disks).

Unlike other tools, FlashBoot remains fully functional under Windows XP. This is because FlashBoot does not mount registry hives, FAT filesystems, WIM and VHD images via Windows kernel. These features are implemented inside FlashBoot, without invocation of platform-specific tools.

For specific formatting scenarios, where compatibility with older computers matters, FlashBoot formats USB thumbdrives in such way that they will boot both in USB-ZIP and USB-HDD mode, regardless of BIOS settings. For such cases, FlashBoot also allows to specify disk CHS geometry explicitly at format time, as well as target drive letter, i.e. A: or C:

FlashBoot supports command line interface as alternative to GUI for power users who need automation or unattended operation.

Last but not the least: FlashBoot is a good old-fashioned software. FlashBoot has free updates for lifetime. FlashBoot stands against the always-online, spy-on-everything, everything-is-a-service, subscribe-not-buy, force-updates-you-don't-want madness of recent years. FlashBoot does not interact with the internet in any way — it's up to you to decide if update is necessary. No toolbars, no ads, no spamming through e-mail database and no other crap in the installer and software.


Setting up BIOS

This chapter expains how to set up your computer to make it boot from USB storage device.

1. General approach

1.1. Change the BIOS boot order so the USB device option is listed first. The BIOS is rarely setup this way by default.

If the USB port is not first in the boot order, your PC will start "normally" (i.e. boot from your hard drive) without even looking at any boot information that might be on your USB device.

Note: After setting your USB device as the first boot device, your computer will check it for boot information each time your PC starts. Leaving your computer configured this way shouldn't cause problems unless you plan on leaving the USB device attached all the time.

1.2. Attach the USB device to your computer via any available USB port.

1.3. Restart your computer.

1.4. Watch for a Press any key to boot from external device... message.

On some bootable devices, you may be prompted with a message to press a key before the computer will boot to the flash drive or other USB device.

If you do nothing, your computer will check for boot information on the next boot device in the list in BIOS (see Step 1.1) which will probably be your hard drive.

Note: Most of the time when trying to boot to a USB device there is no key-press prompt. The boot process usually starts immediately.

1.5. Your computer should now boot from the USB flash drive or USB based external hard drive.

Note: What happens now depends on what the bootable USB device was intended for. If you're booting to an old version of MS-DOS on a flash drive, MS-DOS will load. If you're booting to the DSL version of Linux, it will start. You get the idea.

2. Newer BIOS Boot Menu

Many newer computers detect the USB device as a hard drive (USB-HDD0). In which case, you can press a specific key (F2, F10, F11 or ESC) during system post to access the "Boot Menu". Select your USB DISK from the Boot Menu and resume startup.

3. Troubleshooting

If you tried the above steps but your computer did not boot from the USB device, check out some of the tips below.

3.1. Recheck the boot order in BIOS (Step 1.1). The number one reason a bootable flash drive or other USB device won't boot is because BIOS is not configured to check the USB port first.

3.2. Didn't find a "USB Device" boot order listing in BIOS? If your computer was manufactured around 2001 or before, it may not have this ability. If your computer is newer, check for some other ways that the USB option might be worded. In some BIOS versions, it's called "Removable Devices" or "External Devices".

3.3. Switch to another USB port. The BIOS on some motherboards only check the first few USB ports. Switch to another USB port and restart your computer.

3.4. Be sure to keep an eye for BIOS updates from your board manufacturer.


Free vs Pro

 | FlashBoot Free | FlashBoot Pro
Price | $ 0 | $ 29.95
Prepare USB thumbdrive for installation of Windows 10/11, Windows 8.x, Windows 7 or Windows Vista to internal HDD/SSD |  |
Install full-featured Windows 10/11 or Windows 8.x to USB thumbdrive, which will boot independently from main OS on HDD/SSD |  |
Save USB thumbdrive to image file |  |
Restore USB thumbdrive from image file |  |
Copy USB thumbdrive to another USB thumbdrive, retaining bootability |  |
Install DOS to USB thumbdrive |  |
Install UEFI shell to USB thumbdrive |  |
Quick format USB thumbdrive |  |
Wipe USB thumbdrive (securely erase all data) |  |
Create bootable clone of Windows 10/11 or Windows 8.x on USB thumbdrive, which will boot independently from main OS on HDD/SSD |  |
Create installable clone of Windows 10/11, Windows 8.x or Windows 7 with optional driver integration (USB 3.x, NVMe, AHCI/RAID or user-supplied drivers) |  |
Prepare USB thumbdrive for installation of Windows 10/11, Windows 8.x, Windows 7 or Windows Vista to internal HDD/SSD with driver integration (USB 3.x, NVMe, AHCI/RAID or user-supplied drivers) |  |
Prepare USB thumbdrive for installation of Windows XP to internal HDD/SSD |  |
Install mini version of Windows XP (BartPE) to USB thumbdrive, which will boot independently from main OS on HDD/SSD |  |
Create self-extracting archives (USB formatters with predefined content) |  |


Ordering and Updates

FlashBoot Pro can be ordered via our website:

https://www.prime-expert.com/flashboot/

Instantly after your order, you will receive e-mail message with a private link to your copy of FlashBoot Pro.

FlashBoot Pro is not bound to hardware. You may install it on any number of computers you own, and use it to format any USB storage devices without limitation. FlashBoot Pro does not require activation and does not access network during installation or operation. You may transfer FlashBoot Pro to another computer at any time.

If you need to update your copy of the FlashBoot Pro to the latest version (with fixed bugs, added features etc), then just redownload from this link and reinstall the software. For you convenience, this link is also displayed on the "More Info..." screen of first page of FlashBoot wizard.


Support & Feedback

If you have any technical questions about FlashBoot, or if you need a technical support, or if you have any suggestions for further development of the project (feature request, etc), mail here:

flashboot@prime-expert.com

If you have any problems or inquiries related to payment processing, credit cards and invoices, then please click here:

https://www.prime-expert.com/flashboot/billing_support/


License Agreement

FlashBoot version 3.x End User License Agreement

This License Agreement is a legal agreement between you ("LICENSEE") (either an individual or a single entity) and Mykhailo Kupchyk ("PrimeExpert Software") for the software product FlashBoot 3.x which includes computer software and electronic documentation (collectively the "SOFTWARE"). Read it carefully before using the SOFTWARE. If you did not obtain this copy of the SOFTWARE legally, please destroy the copy immediately.

By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this License Agreement.

If you do not agree to the terms of this License Agreement, PrimeExpert Software is unwilling to license the SOFTWARE. In such event, you may not install, copy or otherwise use the SOFTWARE. YOU AGREE THAT YOUR USE OF THE SOFTWARE ACKNOWLEDGES THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.

Versions of the SOFTWARE

The SOFTWARE is available in two versions: (a) the Free Version and (b) the Pro Version. Each of the above versions of the SOFTWARE is subject to the terms and conditions of this Agreement and may be used only in accordance with the terms and conditions of this Agreement.

1. Grant of License (general terms)

PrimeExpert Software grants you the following rights provided you comply with all terms and conditions of this EULA:

(a) Use. You may use the Software Product on one or more computers. You may not separate component parts of the Software Product for use on more than one computer. You do not have the right to redistribute the Software Product. You may load the Software Product into Your Computer's temporary memory (RAM) for purposes of using the Software Product.

(b) Storage. You may copy the Software Product into the local memory or storage device.

(c) Copying. You may make archival or back-up copies of the Software Product, provided the copy contains all of the original Software Product's proprietary notices and that it is used only for back-up purposes.

(d) Reservation of Rights. PrimeExpert Software and its suppliers reserve all rights not expressly granted to you in this EULA.

2. Grant of License

(a) Free Version

If you have licensed the Free Version of the SOFTWARE, subject to the terms and conditions of this Agreement, PrimeExpert Software grants you, LICENSEE, a limited, non-exclusive, non-sublicenseable license to install the Free Version of the SOFTWARE and use it on the physical workstation(s) or server(s).

(b) Pro Version

If you have purchased a license for the Pro Version of the SOFTWARE, subject to the terms and conditions of this Agreement, PrimeExpert Software grants you, LICENSEE, a limited, non-exclusive, non-sublicenseable license to install either:

(*) one (1) copy of the Pro Version of the SOFTWARE only on a single physical workstation or server for use by one or several persons, but not simultaneously;

OR

(**) one or more copies of the Pro Version of the SOFTWARE on one or more physical workstation(s) or server(s) for use by one (1) person;

but not (*) and (**) at the same time.

LICENSEE may use that copy (copies) of the SOFTWARE only in binary object code form and only in accordance with this Agreement.

LICENSEE may make one or more copies of the SOFTWARE solely for backup or archival purposes, provided that LICENSEE reproduces and includes all copyright and other proprietary notice(s) on the copy.

3. Upgrades

To use a Software Product identified as an upgrade, you must first be licensed for the original Software Product identified by PrimeExpert Software as eligible for the upgrade.

4. Transfer

(a) Third Party. The initial user of the Software Product may make a one-time transfer of the Software Product to another end user. Any transfer must include all component parts, media, printed materials, this EULA. The transfer may not be an indirect transfer, such as a consignment. Prior to the transfer, the end user receiving the transferred product must agree to all the EULA terms. Upon transfer of the Software Product, your license is automatically terminated.

(b) Restrictions. You may not rent, lease or lend the Software Product or use the Software Product for commercial timesharing or bureau use. You may not sublicense, assign or transfer the license or Software Product except as expressly provided in this EULA.

5. Proprietary Rights

All intellectual property rights in the Software Product and user documentation are owned by PrimeExpert Software or its suppliers and are protected by law, including but not limited to international copyright, trade secret, and trademark law, as well as other applicable laws and international treaty provisions. You shall not remove any product identification, copyright notices or proprietary restrictions from the Software Product.

6. Restrictions

LICENSEE may not:

(i) Decompile, reverse engineer, disassemble or otherwise reduce the SOFTWARE to a human perceivable form.

(ii) Rent, lease, lend, transfer or otherwise transfer rights to the SOFTWARE.

(iii) Translate, adapt, modify the SOFTWARE or create derivative works based upon the SOFTWARE or any part thereof.

(iv) Redistribute copies of the SOFTWARE.

(v) Electronically transfer the SOFTWARE over a network, a telephone circuit or the Internet.

(vi) Remove any proprietary notices or labels on the SOFTWARE.

(vii) Use the SOFTWARE to encode, reproduce or copy any material or intellectual property you do not have the right to encode, reproduce or copy.

7. Termination

This License Agreement is effective until terminated. PrimeExpert Software may terminate this License Agreement if LICENSEE fails to comply with the terms and conditions of this License Agreement. In such event, LICENSEE must destroy all copies of the SOFTWARE and all of its component parts. All provisions relating the ownership, disclaimer of warranties, limitation of liability and the general provisions shall survive the termination of this License Agreement.

8. Ownership

The SOFTWARE is licensed, NOT sold. The foregoing License Agreement gives LICENSEE limited rights to use the SOFTWARE. All rights, title and interest, including all copyrights, in and to the SOFTWARE and any copies LICENSEE is permitted to make herein are exclusively owned by PrimeExpert Software and/or its suppliers and are protected by copyright, trademark and trade secret law and international treaties. PrimeExpert Software retains all rights not expressly granted to LICENSEE in this License Agreement.

9. Disclaimer of Warranties

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, PRIMEEXPERT SOFTWARE PROVIDE THE SOFTWARE PRODUCT AS IS AND WITH ALL FAULTS, AND HEREBY DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF TITLE AND NON- INFRINGEMENT, ANY IMPLIED WARRANTIES, DUTIES OR CONDITIONS OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, AND OF LACK OF VIRUSES ALL WITH REGARD TO THE SOFTWARE PRODUCT. Some states/jurisdictions do not allow exclusion of implied warranties or limitations on the duration of implied warranties, so the above disclaimer may not apply to you in its entirety.

10. Limitation of Liability

Notwithstanding any damages that you might incur, the entire liability of PrimeExpert Software and any of its suppliers under any provision of this EULA and your exclusive remedy for all of the foregoing shall be limited to U.S. $5.00.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL PRIMEEXPERT SOFTWARE AND BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE OR OTHER DAMAGES WATHSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR CAUSED BY THE USE OR INABILITY TO USE THE SOFTWARE, EVEN IF PRIMEEXPERT SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. Some states/jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you.

11. No other warranties

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, MANUFACTURER AND ITS SUPPLIERS DISCLAIM WITH RESPECT TO THE SOFTWARE ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO ANY (IF ANY) WARRANTIES OR CONDITIONS OF OR RELATED TO: TITLE, NON-INFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY OR COMPLETENESS OF RESPONSES, RESULTS, LACK OF NEGLIGENCE OR LACK OF WORKMANLIKE EFFORT, QUIET ENJOYMENT, QUIET POSSESSION, AND CORRESPONDENCE TO DESCRIPTION. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND ANY SUPPORT SERVICES REMAINS WITH YOU. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION.

12. Capacity and authority to contract

You represent that you are of the legal age of majority in your state of residence and, if applicable, you are duly authorized by your employer to enter into this contract.

13. Entire Agreement

This License Agreement constitutes the entire agreement between LICENSEE and PrimeExpert Software and supersedes any other prior agreements or understandings, whether oral or written, regarding the SOFTWARE. If a provision of this agreement is deemed null and void, invalid or without effect, the remainder of this agreement shall remain in effect.


Windows Vista/7/8.x/10/11 installer

Using this feature you can convert ISO image file (or DVD disc) of Windows setup to bootable USB thumbdrive intended for installation of Windows to internal HDD/SSD. This feature is useful for notebooks and other computers without DVD drive.

This example demonstrates conversion of Windows 11 setup ISO file to bootable USB installer thumbdrive in UEFI mode.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the Main Menu

3) Choose "Windows Vista/7/8.x/10/11 installer (for BIOS-based computers)" or "Windows Vista/7/8.x/10/11 installer (for UEFI-based computers)" in this menu and click Next

UEFI mode must be chosen if you want to install Windows to 3Tb+ boot HDD. It may be chosen if you have UEFI-compatible computer. Most computers manufactured after 2012 are UEFI-compatible, but if you intend to install Windows to older computer, then use BIOS mode instead of UEFI mode.

Windows 11 officially supports UEFI + Secure Boot installation mode only (but FlashBoot can override that, see below).

4) Specify ISO image file (or DVD disc) of Windows setup and click Next

5) The following screen is displayed for Windows 11 setup only.

Here you can enable some options to bypass hardware checks during installation of Windows 11 (you can bypass checks for TPM chip, RAM and Secure Boot):

6) Specify target USB storage device and click Next

7) If necessary, change volume label and filesystem type, or leave them as is, and click Next

If source ISO file or DVD contains \sources\install.wim file larger than 4GB (so it won't fit on FAT32), then filesystem choice option won't be presented (NTFS will be assumed). For UEFI mode, FAT32 filesystem will be always assumed.

8) Check summary information and click Format Now

9) Wait for process completion

10) Bootable USB storage device is ready to use. Click OK to exit


Windows Vista/7/8.x/10/11 installer with added drivers

Windows Vista/7/8.x/10/11 installer

with added drivers

 Top Previous Next

If you dislike Windows 10/11 because you don't want forced updates with untimely reboots, you don't want privacy intrusions like telemetry which can't be disabled, then way to go is to return to Windows 7.

But hardware marches on, and older operating systems hardly can play catch-up. If you try to install Windows 7 on the contemporary laptop, you even won't get past the first screen: lack of USB 3.x support makes mouse, keyboard and boot device inaccessible to Windows 7 setup.

Using this feature, you can not only convert Windows setup DVD or image file to USB thumbdrive, but also integrate any drivers to it. Windows 7, supercharged with proper drivers, will support USB 3.x, NVMe, RAID, and any other modern hardware. For your convenience, FlashBoot already contains all necessary drivers for most popular hardware. FlashBoot can also integrate user-supplied drivers (.inf + .sys + .cat files).

This example demonstrates conversion of Windows 7 setup ISO file with simultaneous integration of all FlashBoot-builtin drivers to bootable USB installer thumbdrive. USB installer will boot in UEFI mode.

1) Run FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the Main Menu

3) Choose "Windows Vista/7/8.x/10/11 installer with added drivers (for BIOS-based computers)" or "Windows Vista/7/8.x/10/11 installer with added drivers (for UEFI-based computers)" in this menu and click Next

Modern computers are UEFI-compatible, but if you need to install Windows to older computer, then choose BIOS mode instead of UEFI mode.

4) Specify ISO image file (or DVD disc) of Windows setup and click Next

5) Choose which drivers should be integrated and click Next

Starting from version 3.3c, FlashBoot Pro adds generic USB 3.x Host Controller driver, compatible with Windows 7 (instead of collection of vendor-specific drivers). So, unlike other tools, FlashBoot Pro can aid in installation of Windows 7 to the modern computers which are based on Intel chipsets with USB 3.1/3.2 Host Controllers (B360, B365, B460, H370, H470, Z370, Z390, Z490) and AMD chipsets with USB 3.2 Host Controllers (B550, X570).

Starting from version 3.3d, FlashBoot Pro adds generic NVMe driver, which is compatible with any type of NVMe storage device from any vendor.

Also, if you are going to install Windows 7 on a modern computer (with pure UEFI firmware and without CSM support), you should apply the patch for Windows 7 UEFI loader. See details below.

6) Specify target USB storage device and click Next

7) If necessary, change volume label and filesystem type, or leave them as is, and click Next

If source ISO file or DVD contains \sources\install.wim file larger than 4GB (so it won't fit on FAT32), then filesystem choice option won't be presented (NTFS will be assumed). For UEFI mode, FAT32 filesystem will be always assumed.

8) Check summary information and click Format Now

9) Wait for process completion

10) Bootable USB storage device is ready to use. Click OK to exit

Windows 7 installation to the modern UEFI-based computers without CSM support

If Windows 7 Setup halts at boot time when displaying OS logo, then you need to apply the patch for Windows 7 UEFI loader.

Windows 7 builtin drivers (VGA.SYS and VIDEOPRT.SYS) assume that VGA BIOS (INT 10H) is universally available, but this is no longer the case on modern computers with pure UEFI firmware (without CSM).

Patch for UEFI loader provides emulation of VGA BIOS (INT 10H) over UEFI GOP framebuffer, thus enabling installation of Windows 7 to the modern computers without CSM.

Also, without this patch, Windows 7 just freezes instead of displaying BSoD (blue screen of death) on the modern computers where VGA-compatible hardware is not available (Windows 7 can't switch to classic 640x480x4bpp VGA mode in order to display BSoD). With this patch, Windows 7 is able to display BSoD over the UEFI GOP framebuffer, if necessary.

In FlashBoot version 3.3a, this patch was improved to provide an entire area of LCD screen to the Windows 7 via Standard VGA Driver. Previous versions of this patch restricted available resolution to 1024x768 and displayed black sidebars until vendor-provided GPU driver was installed by the user. Also we added compatibility with UEFI-based computers where video memory (UEFI GOP framebuffer) is mapped above 4 Gb boundary.

When installing Windows 7 on the computer which came with preinstalled OEM version of Windows 10/11, it's recommended to remove the previous EFI system partition with remaining components of Windows 10/11 (UEFI Loader and BCD hive) before starting installation of Windows 7.


Windows 8.1/10/11 installer from ESD file

Modern versions of Windows are often distributed in the form of ESD files (Electronic Software Delivery).

This example demonstrates conversion of Windows 10 (Insider Preview) ESD file to bootable USB installer thumbdrive in UEFI mode.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the Main Menu

3) Choose "Windows Vista/7/8.x/10/11 installer (for BIOS-based computers)" or "Windows Vista/7/8.x/10/11 installer (for UEFI-based computers)" in this menu and click Next

UEFI mode must be chosen if you want to install Windows to 3Tb+ boot HDD. It may be chosen if you have UEFI-compatible computer. Most computers manufactured after 2012 are UEFI-compatible, but if you intend to install Windows to older computer, then use BIOS mode instead of UEFI mode.

4) Specify ESD image file of Windows setup and click Next

5) Specify target USB storage device and click Next

6) If necessary, change volume label, or leave it as is, and click Next

7) Check summary information and click Format Now

8) Wait for process completion

9) Bootable USB storage device is ready to use. Click OK to exit


Windows 8.1/10/11 installer from ESD file with added drivers

Windows 8.1/10/11 installer from ESD file

with added drivers

Top Previous Next

Modern versions of Windows are often distributed in the form of ESD files (Electronic Software Delivery).

This example demonstrates conversion of Windows 10 (Insider Preview) ESD file with simultaneous integration of FlashBoot-builtin NVMe drivers to bootable USB installer thumbdrive. USB installer will boot in UEFI mode.

1) Run FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the Main Menu

3) Choose "Windows Vista/7/8.x/10/11 installer with added drivers (for BIOS-based computers)" or "Windows Vista/7/8.x/10/11 installer with added drivers (for UEFI-based computers)" in this menu and click Next

UEFI mode must be chosen if you want to install Windows to 3Tb+ boot HDD. It may be chosen if you have UEFI-compatible computer. Most computers manufactured after 2012 are UEFI-compatible, but if you intend to install Windows to older computer, then use BIOS mode instead of UEFI mode.

4) Specify ISO image file (or DVD disc) of Windows setup and click Next

5) Choose which drivers should be integrated and click Next

6) Specify target USB storage device and click Next

7) If necessary, change volume label, or leave it as is, and click Next

8) Check summary information and click Format Now

9) Wait for process completion

10) Bootable USB storage device is ready to use. Click OK to exit


Installable clone of Windows 7/8.x/10/11 (BIOS mode)

Using this feature, you can clone your existing installation of Windows from old computer to a new computer (even with dissimilar hardware), move Windows from HDD to SSD, move Windows from/to RAID array, copy Windows between virtual machine and real hardware (or between virtual machines of different vendors), or switch Windows boot method between UEFI and non-UEFI.

Also you may use this feature to gain unpartitioned disk space for dual-boot configurations (such as Windows 10/11 and Windows 7, Windows 10/11 and Linux) by reinstalling your OEM copy of Windows in-place.

Essentially, FlashBoot will prepare a self-extracting backup of Windows (which will be of good use in the case of next ransomware virus attack, failed Windows update, or accidently deleted file).

Optionally, you may choose to integrate drivers to an installable clone of Windows, which makes sense if you are going to reinstall Windows to a new PC with dissimilar hardware (such as USB 3.x controller or NVMe bootable storage device). Alternatively, drivers for target storage device (such as RAID controller or NVMe SSD) can be added later, during Windows reinstallation.

Existing files will be compressed, so for this operation usually you need smaller capacity USB storage device than your disk C:. Typical compression ratio is 50-60%.

If source Windows installation on the internal HDD/SSD is 32-bit, then installable clone on USB storage device can be created in BIOS mode only. If source Windows installation on the internal HDD/SSD is 64-bit, then installable clone on USB storage device can be created in any mode (BIOS or UEFI). Boot method of source Windows installation on the internal HDD/SSD does not matter.

FAT32 filesystem is employed in this scenario, so reinstallable Windows image (WIM file) will be split to equal chunks of 4Gb minus 64Kb. Please note: FlashBoot supports cloning of system partitions with uncompressible files larger than 4Gb, that's why traditional "Split WIM" format is not used here.

This example demonstrates creation of installable clone of Windows 7 in BIOS mode.

1) Run FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the the Main Menu

3) Choose "Installable clone of Windows 7/8.x/10/11 (for BIOS-based computers)" in this menu and click Next

4) Choose which files and folders are to be excluded from the clone. If you have large enough USB thumbdrive or USB HDD, then you can leave all files and folders included

5) Choose which drivers should be integrated and click Next

5) Specify target USB storage device and click Next

6) If necessary, change volume label, or leave it as is, and click Next

7) Check summary information and click Format Now

8) Wait for process completion

9) Bootable USB storage device is ready to use. Click OK to exit

Windows Reinstallation Wizard consists of two pages:

1) Disk repartitioning page:

2) Reinstallation progress page:

System Reserved Partition is not included to the backup image, it will be recreated automatically during the reinstallation (or just updated in dual-boot configurations).


Installable clone of Windows 7/8.x/10/11 (UEFI mode)

Using this feature, you can clone your existing installation of Windows from old computer to a new computer (even with dissimilar hardware), move Windows from HDD to SSD, move Windows from/to RAID array, copy Windows between virtual machine and real hardware (or between virtual machines of different vendors), or switch Windows boot method between UEFI and non-UEFI.

Also you may use this feature to gain unpartitioned disk space for dual-boot configurations (such as Windows 10/11 and Windows 7, Windows 10/11 and Linux) by reinstalling your OEM copy of Windows in-place.

Essentially, FlashBoot will prepare a self-extracting backup of Windows (which will be of good use in the case of next ransomware virus attack, failed Windows update, or accidently deleted file).

Optionally, you may choose to integrate drivers to an installable clone of Windows, which makes sense if you are going to reinstall Windows to a new PC with dissimilar hardware (such as USB 3.x controller or NVMe bootable storage device). Alternatively, drivers for target storage device (such as RAID controller or NVMe SSD) can be added later, during Windows reinstallation.

Existing files will be compressed, so for this operation usually you need smaller capacity USB storage device than your disk C:. Typical compression ratio is 50-60%.

If source Windows installation on the internal HDD/SSD is 32-bit, then installable clone on USB storage device can be created in BIOS mode only. If source Windows installation on the internal HDD/SSD is 64-bit, then installable clone on USB storage device can be created in any mode (BIOS or UEFI). Boot method of source Windows installation on the internal HDD/SSD does not matter.

UEFI mode must be chosen if you want to install Windows to 3Tb+ boot HDD. It may be chosen if you have UEFI-compatible computer. Most computers manufactured after 2012 are UEFI-compatible, but if you intend to install Windows to older computer, then use BIOS mode instead of UEFI mode.

For compatibility with UEFI specification, FAT32 filesystem is employed in this scenario, so reinstallable Windows image (WIM file) will be split to equal chunks of 4Gb minus 64Kb. Please note: FlashBoot supports cloning of system partitions with uncompressible files larger than 4Gb, that's why traditional "Split WIM" format is not used here.

This example demonstrates creation of installable clone of Windows 11 in UEFI mode.

1) Run FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the the Main Menu

3) Choose "Installable clone of Windows 7/8.x/10/11 (for UEFI-based computers)" in this menu and click Next

4) Choose which files and folders are to be excluded from the clone. If you have large enough USB thumbdrive or USB HDD, then you can leave all files and folders included

5) Choose which drivers should be integrated and click Next

5) Specify target USB storage device and click Next

6) If necessary, change volume label, or leave it as is, and click Next

7) Check summary information and click Format Now

8) Wait for process completion

9) Bootable USB storage device is ready to use. Click OK to exit

Windows Reinstallation Wizard consists of two pages:

1) Disk repartitioning page:

2) Reinstallation progress page:

EFI System Partition is not included to the backup image, it will be recreated automatically during the reinstallation (or just updated in dual-boot configurations).


Windows XP installer

1) Run FlashBoot Pro, click Next

2) Choose "OS installer -> USB" in the Main Menu

3) Choose "Windows XP installer (for BIOS-based computers)" in this menu and click Next

4) Specify ISO image file (or CD disc) of Windows XP setup and click Next

5) Specify target USB storage device and click Next

6) If necessary, change volume label, or leave it as is, and click Next

7) Check summary information and click Format Now

8) Wait for process completion

9) Bootable USB storage device is ready to use. Click OK to exit

Please Note: Installation of Windows XP may look like halted at this point:

If you see that screen does not update and installation looks like halted for a long time at this point, please be patient and don't panic. Wait at least for a 45 minutes before aborting Windows XP installation.

Click here to view gallery of screenshots made during installation of Windows XP from FlashBoot-formatted USB disk to netbook. Windows XP was installed to the newly-created disk C: (which took 20 Gb out of 64 Gb total SSD space). Intermediate filesystem of disk C: is FAT32, final filesystem of disk C: is NTFS.


Full Windows 8.x/10/11 (BIOS mode)

Using this feature, you can install Windows 8.x/10/11 to USB thumbdrive, and walk about with a full-featured installation of Windows 11, 10, 8.1 or 8 in your pocket, ready to go under any circumstance: at home, at friend's home, at work, at public library or internet-cafe. Need your favorite app, document, game, or browser when you’re sitting in front of a strange computer? Just break out your USB device formatted using FlashBoot!

This example demonstrates installation of full-featured Windows 8.1 to bootable USB thumbdrive in BIOS mode.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "Windows 8.x/10/11 (for BIOS-based computers)" in this menu and click Next

4) Specify ISO image file (or DVD disc, or ESD image file) of Windows setup and click Next

5) Choose whether a portable OS running from a USB device should or should not have access to local fixed disks (such as SATA, NVMe, IDE etc) and click Next

6) Specify target USB storage device and click Next

7) If necessary, change volume label, or leave it as is, and click Next

8) Check summary information and click Format Now

9) Wait for process completion

10) Bootable USB storage device is ready to use. Click OK to exit


Full Windows 8.x/10/11 (UEFI mode)

Using this feature, you can install Windows 8.x/10/11 to USB thumbdrive, and walk about with a full-featured installation of Windows 11, 10, 8.1 or 8 in your pocket, ready to go under any circumstance: at home, at friend's home, at work, at public library or internet-cafe. Need your favorite app, document, game, or browser when you’re sitting in front of a strange computer? Just break out your USB device formatted using FlashBoot!

Please note: this feature requires UEFI-capable computer to boot. Most computers manufactured after 2012 are UEFI-compatible, but if you intend to boot portable Windows on older computer, then use BIOS mode instead of UEFI mode.

This example demonstrates installation of full-featured Windows 11 to bootable USB thumbdrive in UEFI mode.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "Windows 8.x/10/11 (for UEFI-based computers)" in this menu and click Next

4) Specify ISO image file (or DVD disc, or ESD image file) of Windows setup and click Next

5) In this example, Windows setup image contains multiple versions (editions) of Windows, so we choose one we want to install to USB storage device:

6) Choose whether a portable OS running from a USB device should or should not have access to local fixed disks (such as SATA, NVMe, IDE etc) and click Next

7) The following page is displayed only for Windows 11. With FlashBoot, you can skip creation of online account during the first boot of Windows 11 from the target USB storage device.

8) Specify target USB storage device and click Next

9) If necessary, change volume label, or leave it as is, and click Next

10) Check summary information and click Format Now

11) Wait for process completion

12) Bootable USB storage device is ready to use. Click OK to exit


Bootable clone of Windows 8.x/10/11 (BIOS mode)

Using this feature, you can clone your existing Windows 10/11 or Windows 8.1 installation (including apps, settings, documents, games, browsers etc) from internal HDD or SSD to external USB thumbdrive or USB HDD.

By default, existing files will be compressed, so for this operation usually you need smaller capacity USB storage device than your disk C:. Typical compression ratio is 35-45%. During live sessions, Windows on USB thumbdrive will store all new files and all updated files in decompressed form.

System partition on USB thumbdrive will have different unique identifier from original system partition on internal HDD/SSD, so there will be no conflicts or collisions when booting USB thumbdrive on the source PC.

This feature is particularly useful for travellers (who want to save time on reinstalling apps in Windows To Go installation) and as live backup copy (which will be of good use in the case of next ransomware virus attack, failed Windows update, or accidently deleted file).

If source Windows installation on the internal HDD/SSD is 32-bit, then cloned Windows installation on USB storage device can be created in BIOS mode only. If source Windows installation on the internal HDD/SSD is 64-bit, then cloned Windows installation on USB storage device can be created in any mode (BIOS or UEFI). Boot method of source Windows installation on the internal HDD/SSD does not matter.

This example demonstrates creation of Windows 11 bootable clone on USB thumbdrive in BIOS mode.

1) Run FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "Bootable clone of Windows 8.x/10/11 (for BIOS-based computers)" in this menu and click Next

4) Choose which files and folders are to be excluded from the clone. If you have large enough USB thumbdrive or USB HDD, then you can leave all files and folders included

5) Specify whether clone should be compressed or not, and click Next

6) Choose whether a portable OS running from a USB device should or should not have access to local fixed disks (such as SATA, NVMe, IDE etc) and click Next

7) Specify target USB storage device and click Next

8) If necessary, change volume label, or leave it as is, and click Next

9) Check summary information and click Format Now

10) Wait for process completion

11) Bootable USB storage device is ready to use. Click OK to exit


Bootable clone of Windows 8.x/10/11 (UEFI mode)

Using this feature, you can clone your existing Windows 10/11 or Windows 8.1 installation (including apps, settings, documents, games, browsers etc) from internal HDD or SSD to external USB thumbdrive or USB HDD.

By default, existing files will be compressed, so for this operation usually you need smaller capacity USB storage device than your disk C:. Typical compression ratio is 35-45%. During live sessions, Windows on USB thumbdrive will store all new files and all updated files in decompressed form.

System partition on USB thumbdrive will have different unique identifier from original system partition on internal HDD/SSD, so there will be no conflicts or collisions when booting USB thumbdrive on the source PC.

This feature is particularly useful for travellers (who want to save time on reinstalling apps in Windows To Go installation) and as live backup copy (which will be of good use in the case of next ransomware virus attack, failed Windows update, or accidently deleted file).

If source Windows installation on the internal HDD/SSD is 32-bit, then cloned Windows installation on USB storage device can be created in BIOS mode only. If source Windows installation on the internal HDD/SSD is 64-bit, then cloned Windows installation on USB storage device can be created in any mode (BIOS or UEFI). Boot method of source Windows installation on the internal HDD/SSD does not matter.

This example demonstrates creation of Windows 11 bootable clone on USB thumbdrive in UEFI mode.

1) Run FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "Bootable clone of Windows 8.x/10/11 (for UEFI-based computers)" in this menu and click Next

4) Choose which files and folders are to be excluded from the clone. If you have large enough USB thumbdrive or USB HDD, then you can leave all files and folders included

5) Specify whether clone should be compressed or not, and click Next

6) Choose whether a portable OS running from a USB device should or should not have access to local fixed disks (such as SATA, NVMe, IDE etc) and click Next

7) Specify target USB storage device and click Next

8) If necessary, change volume label, or leave it as is, and click Next

9) Check summary information and click Format Now

10) Wait for process completion

11) Bootable USB storage device is ready to use. Click OK to exit


BartPE

BartPE is a third-party tool which allows a mini-version of Windows XP to be run from CD/DVD disc without installation on internal HDD. BartPE builder is a freeware and it can be downloaded from here.

FlashBoot can convert ISO file produced by BartPE builder into bootable USB storage device.

1) Run FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "BartPE (mini version of Windows XP)" in this menu and click Next

4) Specify BartPE builder output ISO image file (or CD disc) and click Next

5) Specify target USB storage device and click Next

6) If necessary, change volume label, or leave it as is, and click Next

7) Check summary information and click Format Now

8) Wait for process completion

9) Bootable USB storage device is ready to use. Click OK to exit

Please Note: BartPE will not boot from USB if size of source ISO image file is larger than 500 Mb


UEFI Shell

FlashBoot can install UEFI shell to the USB thumbdrive.

Using UEFI shell, you can configure boot menu items for your UEFI-compliant motherboard or notebook, load/unload UEFI drivers, execute other UEFI applications, nsh scripts, etc.

You can use this option to quickly test FlashBoot compatibility with your computer without supplying external data (OS installation CD, ISO image file etc). This option requires UEFI-capable computer to boot. Most computers manufactured after 2012 are UEFI-compatible

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "UEFI Shell" in this menu and click Next

4) Specify target USB storage device and click Next

5) If necessary, change volume label, or leave it as is, and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Bootable USB storage device is ready to use. Click OK to exit


DOS

FlashBoot can install DOS to USB thumbdrive and make it bootable. You can use this option to quickly test FlashBoot without supplying external data (OS installation CD, ISO image file etc).

Minimalistic DOS created by FlashBoot also contains Volkov Commander: a file manager for DOS, formerly shareware, now defunct.

DOS on USB thumbdrive is useful for upgrading BIOS on your notebook or motherboard (just add latest BIOS file and vendor-supplied flash update utility like AFUDOS). Also it can be used for running DOS applications and games without emulation.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Full OS -> USB" in the the Main Menu

3) Choose "DOS" in this menu and click Next

4) Specify target USB storage device and click Next

5) If necessary, change volume label, or leave it as is, and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Bootable USB storage device is ready to use. Click OK to exit


Save USB storage device to image file

If you have bootable USB thumbdrive with some useful content, and want to temporarily reuse it for other purpose, then you can save its contents to image file, and restore it later.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Save USB storage device to image file" in this menu and click Next

4) Specify source USB storage device and click Next

5) Specify target image file click Next

6) Check summary information and click Save Now

7) Wait for process completion

8) Image file is ready for use. Click OK to exit


Restore USB storage device from image file

If you have bootable USB thumbdrive with some useful content, and want to temporarily reuse it for other purpose, then you can save its contents to image file, and restore it later.

Also you can use this feature to write USB thumbdrive images downloaded from the internet.

This FlashBoot feature supports restoring of any bootable USB image files, but let's take MFSBSD as an example of particularly useful bootable USB image file. MFSBSD (by Martin Matuška) is a trimmed down version of FreeBSD operating system which acts as standalone live media for FreeBSD recovery purposes: http://mfsbsd.vx.sk/

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Restore image file to USB storage device" in this menu and click Next

4) Specify source image file and click Next

5) Specify target USB storage device and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Bootable USB storage device is ready to use. Click OK to exit


Duplicate USB storage device

Using FlashBoot, you can quickly copy one USB storage device into another USB storage device without loosing bootability.

Capacity of destination USB storage device must be no less than capacity of source USB storage device. If there's a difference in capacity, it will be zero-filled.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Copy one USB storage device to another USB storage device" in this menu and click Next

4) Specify source USB storage device and click Next

5) Specify target USB storage device and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Bootable USB storage device is ready to use. Click OK to exit


Create self-extracting archive with FAT filesystem

FlashBoot can create standalone self-extracting EXE file (USB formatter) with predefined contents. This file will run in end-user environment under Windows XP or any later version of Windows and extract its content to USB storage device specified by end user without asking any additional questions. This USB thumbdrive will contain FAT filesystem (of variable size) and, if necessary, will be bootable. Self-extracting archive can have customized icon, title, description text, and commands to run after extraction.

Let's take lightweight Linux distribution called Slax to demonstrate how FlashBoot can create self-extracting archives with FAT filesystem: https://www.slax.org/

1) Run FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Create self-extracting EXE file (USB formatter) with predefined content" in this menu and click Next

4) Choose "stretching FAT filesystem" in this menu and click Next

5) Set volume label and specify folder with input files. Allow all filesystems except FAT12. Allow all cluster sizes. Click Next.

6) Customize self-extracting archive: set icon, command to run after extraction (current directory in this context will be new filesystem on USB storage device, separate multiple commands with && if necessary), title and description text for end user. Then click Next.

7) Specify target EXE file:

6) Check summary information and click Compress Now

7) Wait for process completion

8) Self-extracting EXE file is ready to use. Click OK to exit

Let's test just created self-extracting archive. Here's now it looks like:

Progress window looks like this:

When extraction is finished, custom command is executed:


Create self-extracting archive with NTFS filesystem

FlashBoot can create standalone self-extracting EXE file (USB formatter) with predefined contents. This file will run in end-user environment under Windows XP or any later version of Windows and extract its content to USB storage device specified by end user without asking any additional questions. This USB thumbdrive will contain NTFS filesystem (of variable size) and, if necessary, will be bootable. Self-extracting archive can have customized icon, title, description text, and commands to run after extraction.

Let's take Windows 7 with integrated generic USB 3.x Host Controller drivers, generic NVMe drivers and patched UEFI loader (for VGA emulation) as useful example of self-extracting archive with bootable NTFS filesystem. This feature is particularly useful if you have installed Windows 7 with customized drivers to internal HDD/SSD of your computer, and now want to reuse USB storage device for regular data storage, but want to keep customized version of Windows around for reinstallation, just in case it becomes necessary.

1) Run FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Create self-extracting EXE file (USB formatter) with predefined content" in this menu and click Next

4) Choose "stretching NTFS filesystem" in this menu and click Next

5) Set volume label and specify folder with input files. Click Next.

6) Customize self-extracting archive: set icon, title and description text for end user. Then click Next.

7) Specify target EXE file:

6) Check summary information and click Compress Now

7) Wait for process completion

8) Self-extracting EXE file is ready to use. Click OK to exit

Let's test just created self-extracting archive. Here's now it looks like:

Progress window looks like this:

When extraction is finished, message like this is displayed:


Create self-extracting archive with raw image

FlashBoot can create standalone self-extracting EXE file (USB formatter) with predefined contents. This file will run in end-user environment under Windows XP or any later version of Windows and extract its content to USB storage device specified by end user without asking any additional questions. This USB thumbdrive will contain fixed-sized image with any filesystem(s) and, if necessary, will be bootable. Self-extracting archive can have customized icon, title, description text, and commands to run after extraction.

Let's take Raspbian, operating system of choice for Raspberry Pi, to demonstrate how FlashBoot can create self-extracting archives with fixed-sized filesystem: https://www.raspberrypi.org/downloads/raspbian/

The Raspberry Pi is a credit-card sized computer manufactured by Raspberry PI Foundation that plugs into your TV and a keyboard. It's a capable little PC which can be used for many of the things that your desktop PC does, like spreadsheets, word-processing and games.

Raspberry Pi is also very useful for DIY hobbysts and can be a hardware platform for embedded appliances like TV set top box or supermarket checkout terminal or maybe even ATM.

1) Run FlashBoot Pro, click Next

2) Choose "USB imaging and duplication" in the the Main Menu

3) Choose "Create self-extracting EXE file (USB formatter) with predefined content" in this menu and click Next

4) Choose "fixed-size image with any filesystem(s)" in this menu and click Next

5) Specify source image file and click Next

6) Customize self-extracting archive: set icon, title and description text for end user. Then click Next.

7) Specify target EXE file:

6) Check summary information and click Compress Now

7) Wait for process completion

8) Self-extracting EXE file is ready to use. Click OK to exit

Let's test just created self-extracting archive. Here's now it looks like:

Progress window looks like this:

When extraction is finished, message like this is displayed:


Quick format

FlashBoot can quick-format USB storage device in non-bootable mode to clear previously installed operating systems, other bootable software or data.

FlashBoot can work with USB thumdrives which have no drive letter assigned or have no partitions. If capacity of USB thumdrive was reduced by other tools (for example, 64 Gb USB thumbdrive has become 32 Gb USB thumbdrive), then FlashBoot will automatically recover it to full capacity.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Format as non-bootable" in the Main Menu

3) Choose "Quick format" in this menu and click Next

4) Specify target USB storage device and click Next

5) If necessary, change volume label, or leave it as is, and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Non-bootable USB storage device is ready to use. Click OK to exit


Wipe (securely erase all data)

FlashBoot can wipe USB storage device. This operation will erase all files and free space on said device, so any data from it can't be undeleted.

1) Run FlashBoot Free or FlashBoot Pro, click Next

2) Choose "Format as non-bootable" in the Main Menu

3) Choose "Wipe (securely erase all data)" in this menu and click Next

4) Specify target USB storage device and click Next

5) If necessary, change volume label, or leave it as is, and click Next

6) Check summary information and click Format Now

7) Wait for process completion

8) Non-bootable USB storage device is ready to use. Click OK to exit


Portable Edition

Portable software is a type of software which does not require installation and can be run from removable media or from the network share. It runs without modifying Windows Registry and without leaving traces on host computer, storing its state and settings in INI files if neccessary. (For more information about portable software, refer to PortableApps.com or other similar websites.)

FlashBoot also has portable edition.

Portable FlashBoot Free can be downloaded from this link:

https://www.prime-expert.com/flashboot/downloads/flashboot-latest-portable.zip

Portable FlashBoot Free can be converted to Portable FlashBoot Pro by adding license_key.xml to it. You will have a separate link to download this file after your order. Alternatively, you can copy this file from C:\Program Files\FlashBoot folder, where your copy of FlashBoot Pro was installed by mainstream (non-portable) installer.

There is no difference in binary files between Portable FlashBoot and installable FlashBoot. FlashBoot detects its "portability" by presence of FlashBoot.ini. If this file does not exist, then FlashBoot stores its state and settings in Windows Registry (HKEY_CURRENT_USER\Software\FlashBoot\3.3 registry key), otherwise it stores its state and settings in FlashBoot.ini.


Command Line Version

FlashBoot can be invoked from command line. This is particularly useful when you need some automation or unattended execution of FlashBoot.

Installation folder contains fb-cli.exe file (CLI stands for "Command Line Interface") alongside fb-gui.exe (GUI = "Graphical User Interface"). Installer creates shortcut only for fb-gui.exe.

Command-line version of FlashBoot has the following options:

Usage:

  fb-cli.exe /SCENARIO:InstallWindows8or1XToUSB_FromDVD_BiosMode

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             [ /WIM_INDEX:<Number> ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Install full-featured Windows 8.x/10/11 to USB thumbdrive or USB HDD

      (from DVD, for BIOS-based computers).

      Former name of this scenario: InstallWindows8or10ToUSB_FromDVD_BiosMode.

  fb-cli.exe /SCENARIO:InstallWindows8or1XToUSB_FromDVD_UefiMode

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             [ /WIM_INDEX:<Number> ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Install full-featured Windows 8.x/10/11 to USB thumbdrive or USB HDD

      (from DVD, for UEFI-based computers).

      Former name of this scenario: InstallWindows8or10ToUSB_FromDVD_UefiMode.

  fb-cli.exe /SCENARIO:InstallWindows8or1XToUSB_FromESD_BiosMode

             /INPUT_ESD_IMAGE:<ImageFile.esd>

             [ /WIM_INDEX:<Number> ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Install full-featured Windows 8.x/10/11 to USB thumbdrive or USB HDD

      (from ESD, for BIOS-based computers).

      Former name of this scenario: InstallWindows8or10ToUSB_FromESD_BiosMode.

  fb-cli.exe /SCENARIO:InstallWindows8or1XToUSB_FromESD_UefiMode

             /INPUT_ESD_IMAGE:<ImageFile.esd>

             [ /WIM_INDEX:<Number> ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Install full-featured Windows 8.x/10/11 to USB thumbdrive or USB HDD

      (from ESD, for UEFI-based computers).

      Former name of this scenario: InstallWindows8or10ToUSB_FromESD_UefiMode.

  fb-cli.exe /SCENARIO:PrepareWinVista78or1XInstallerOnUSB_FromDVD_BiosMode

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             { /FS:FAT32 | /FS:NTFS }

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

             [ /WIN11_BYPASS_TPM_CHECK ]

             [ /WIN11_BYPASS_RAM_CHECK ]

             [ /WIN11_BYPASS_SECURE_BOOT_CHECK ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

      Prepare Microsoft Windows Vista/7/8.x/10/11 installer on USB thumbdrive or USB HDD

      (from DVD, for BIOS-based computers) with optional driver integration.

      Former name of this scenario: PrepareWinVista78or10InstallerOnUSB_FromDVD_BiosMode.

  fb-cli.exe /SCENARIO:PrepareWinVista78or1XInstallerOnUSB_FromDVD_UefiMode

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

             [ /PATCH_WIN7_UEFILDR_TO_AVOID_VGA_IO ]

             [ /WIN11_BYPASS_TPM_CHECK ]

             [ /WIN11_BYPASS_RAM_CHECK ]

             [ /WIN11_BYPASS_SECURE_BOOT_CHECK ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

      Prepare Microsoft Windows Vista/7/8.x/10/11 installer on USB thumbdrive or USB HDD

      (from DVD, for UEFI-based computers) with optional driver integration.

      Former name of this scenario: PrepareWinVista78or10InstallerOnUSB_FromDVD_UefiMode.

  fb-cli.exe /SCENARIO:PrepareWinVista78or1XInstallerOnUSB_FromESD_BiosMode

             /INPUT_ESD_IMAGE:<ImageFile.esd>

             { /FS:FAT32 | /FS:NTFS }

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

             [ /WIN11_BYPASS_TPM_CHECK ]

             [ /WIN11_BYPASS_RAM_CHECK ]

             [ /WIN11_BYPASS_SECURE_BOOT_CHECK ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

      Prepare Microsoft Windows Vista/7/8.x/10/11 installer on USB thumbdrive or USB HDD

      (from ESD, for BIOS-based computers) with optional driver integration.

      Former name of this scenario: PrepareWinVista78or10InstallerOnUSB_FromESD_BiosMode.

  fb-cli.exe /SCENARIO:PrepareWinVista78or1XInstallerOnUSB_FromESD_UefiMode

             /INPUT_ESD_IMAGE:<ImageFile.esd>

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

             [ /PATCH_WIN7_UEFILDR_TO_AVOID_VGA_IO ]

             [ /WIN11_BYPASS_TPM_CHECK ]

             [ /WIN11_BYPASS_RAM_CHECK ]

             [ /WIN11_BYPASS_SECURE_BOOT_CHECK ]

             [ /WIN11_ALLOW_WITHOUT_ONLINE_ACCOUNT ]

      Prepare Microsoft Windows Vista/7/8.x/10/11 installer on USB thumbdrive or USB HDD

      (from ESD, for UEFI-based computers) with optional driver integration.

      Former name of this scenario: PrepareWinVista78or10InstallerOnUSB_FromESD_UefiMode.

  fb-cli.exe /SCENARIO:PrepareWinXpInstallerOnUSB_FromCD

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             [ /FSTYPE:<Filesystem type> ]

             [ /GEOMETRY:<Geometry options> ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Prepare Microsoft Windows XP installer on USB thumbdrive or USB HDD (from CD)

  fb-cli.exe /SCENARIO:CreateBootableClone_BiosMode

             [ { /WITH_COMPRESSION | /WITHOUT_COMPRESSION } ]

             [ /EXCLUDE:<FileOrDirectory> [ /EXCLUDE:<FileOrDirectory> [ ... ] ] ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Create bootable clone of this OS (Windows 8.x/10/11) for BIOS-based computers.

      By default, bootable clone is created without compression.

  fb-cli.exe /SCENARIO:CreateBootableClone_UefiMode

             [ { /WITH_COMPRESSION | /WITHOUT_COMPRESSION } ]

             [ /EXCLUDE:<FileOrDirectory> [ /EXCLUDE:<FileOrDirectory> [ ... ] ] ]

             [ /NO_ACCESS_TO_FIXED_DISKS ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Create bootable clone of this OS (Windows 8.x/10/11) for UEFI-based computers.

      By default, bootable clone is created without compression.

  fb-cli.exe /SCENARIO:CreateInstallableClone_BiosMode

             [ /EXCLUDE:<FileOrDirectory> [ /EXCLUDE:<FileOrDirectory> [ ... ] ] ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

      Create installable clone of this OS (Windows 7/8.x/10/11)

      for BIOS-based computers, with optional driver integration

  fb-cli.exe /SCENARIO:CreateInstallableClone_UefiMode

             [ /EXCLUDE:<FileOrDirectory> [ /EXCLUDE:<FileOrDirectory> [ ... ] ] ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

             [ /ADD_USB3_DRIVERS ]

             [ /ADD_NVME_DRIVERS ]

             [ /ADD_AHCI_RAID_DRIVERS ]

             [ /ADD_DRIVERS:<Directory> [ /ADD_DRIVERS:<Directory> [ ... ] ] ]

             [ /PATCH_WIN7_UEFILDR_TO_AVOID_VGA_IO ]

      Create installable clone of this OS (Windows 7/8.x/10/11)

      for UEFI-based computers, with optional driver integration

  fb-cli.exe /SCENARIO:ConvertBartPE_FromCDtoUSB

             { /INPUT_DISK:<CD/DVD drive letter:> |

               /INPUT_IMAGE:<ImageFile.iso> |

               /INPUT_PATH:<Directory with CD/DVD files> }

             [ /FSTYPE:<Filesystem type> ]

             [ /GEOMETRY:<Geometry options> ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Convert BartPE (mini version of Windows XP) from CD to bootable USB thumbdrive or USB HDD

  fb-cli.exe /SCENARIO:BuiltinMiniDos

             { /MAPTO:C: | /MAPTO:A: }

             [ /FSTYPE:<Filesystem type> ]

             [ /GEOMETRY:<Geometry options> ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Make minimal DOS-based bootable USB thumbdrive with Volkov Commander.

      Perform necessary A:/C: substitution in \CONFIG.SYS and *.BAT files.

  fb-cli.exe /SCENARIO:BuiltinUefiShell

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Format USB thumbdrive in the UEFI mode and install builtin UEFI shell to it.

  fb-cli.exe /SCENARIO:SaveRawImage

             { /INPUT_DISK:<USB drive letter:> |

               /INPUT_PHYSICAL_DISK:<Number> }

             /OUTPUT_IMAGE:<UsbImageFile.img>

      Save USB storage device to image file

  fb-cli.exe /SCENARIO:RestoreRawImage

             /INPUT_IMAGE:<UsbImageFile.img>

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

      Restore image file to USB storage device

  fb-cli.exe /SCENARIO:DuplicateUsbToUsb

             { /INPUT_DISK:<USB drive letter:> |

               /INPUT_PHYSICAL_DISK:<Number> }

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

      Copy one USB storage device to another USB storage device

  fb-cli.exe /SCENARIO:Wipe

             { /LAYOUT:PARTITIONED | /LAYOUT:SUPERFLOPPY }

             [ /FSTYPE:<Filesystem type> ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

      Wipe (securely erase) all files and free space on USB storage device,

      then create empty nonbootable filesystem

  fb-cli.exe /SCENARIO:QuickFormat

             { /LAYOUT:PARTITIONED | /LAYOUT:SUPERFLOPPY }

             [ /FSTYPE:<Filesystem type> ]

             [ /VOLUME_LABEL:<String> ]

             { /OUTPUT_DISK:<USB drive letter:> |

               /OUTPUT_PHYSICAL_DISK:<Number> }

             [ /RESERVE:<Size of unallocated space at the end of disk> ]

      Create empty nonbootable filesystem on USB storage device

  fb-cli.exe /SCENARIO:FatSFX

             /INPUT_PATH:<Directory>

             [ /ALLOWED_CLUSTER_SIZES:<Comma-separated list of numbers> ]

             [ /ALLOW_FAT32 [ /OVERRIDE_FAT32_BOOTCODE:<File name with FAT32 boot sector> ] ]

             [ /ALLOW_FAT16 [ /OVERRIDE_FAT16_BOOTCODE:<File name with FAT16 boot sector> ] ]

             [ /ALLOW_FAT12 [ /OVERRIDE_FAT12_BOOTCODE:<File name with FAT12 boot sector> ] ]

             [ /OVERRIDE_MBR_BOOTCODE:<File name with MBR boot code> ]

             [ /RUN_AFTER_EXTRACTION:<Command to run after extraction> ]

             [ /CUSTOMIZE_ICON:<CustomIcon.ico> ]

             [ /CUSTOMIZE_TITLE:<String> ]

             [ /CUSTOMIZE_TEXT:<String> [ /CUSTOMIZE_TEXT:<String> [ ... ] ] ]

             [ /VOLUME_LABEL:<String> ]

             /OUTPUT_EXE:<Filename.exe>

      Generate self-extracting EXE (USB formatter) with embedded FAT filesystem

  fb-cli.exe /SCENARIO:NtfsSFX

             /INPUT_PATH:<Directory>

             [ /OVERRIDE_VOLUME_BOOTCODE:<File name with volume boot sector> ]

             [ /OVERRIDE_MBR_BOOTCODE:<File name with MBR boot code> ]

             [ /RUN_AFTER_EXTRACTION:<Command to run after extraction> ]

             [ /CUSTOMIZE_ICON:<CustomIcon.ico> ]

             [ /CUSTOMIZE_TITLE:<String> ]

             [ /CUSTOMIZE_TEXT:<String> [ /CUSTOMIZE_TEXT:<String> [ ... ] ] ]

             [ /VOLUME_LABEL:<String> ]

             /OUTPUT_EXE:<Filename.exe>

      Generate self-extracting EXE (USB formatter) with embedded NTFS filesystem

  fb-cli.exe /SCENARIO:RawSFX

             /INPUT_IMAGE:<UsbImageFile.img>

             [ /RUN_AFTER_EXTRACTION:<Command to run after extraction> ]

             [ /CUSTOMIZE_ICON:<CustomIcon.ico> ]

             [ /CUSTOMIZE_TITLE:<String> ]

             [ /CUSTOMIZE_TEXT:<String> [ /CUSTOMIZE_TEXT:<String> [ ... ] ] ]

             /OUTPUT_EXE:<Filename.exe>

      Generate self-extracting EXE (USB formatter) with embedded raw image

About notation:

  [ X ] denotes optional parameter

  { X | Y | Z } denotes mutually exclusive choice

  < X > denotes something to be filled in by user, not entered literally

<Filesystem type> explained in examples:

  auto                          Automatically choose between FAT12, FAT16 and FAT32 with default cluster sizes

  fat16                         Allow FAT16 only

  fat16(1024)                   Allow FAT16 only with cluster size of 1K,

                                disallow other cluster sizes, FAT12 and FAT32

  fat16(1024,2048)              Allow FAT16 only with cluster size of 1K or 2K,

                                disallow other cluster sizes, FAT12 and FAT32

  fat16(1024,2048),fat32(4096)  Allow FAT16 with cluster size 1K or 2K, or FAT32 with cluster size 4K.

                                Disallow all other cluster sizes and FAT12.

  fat12(512),fat32(4096,8192)   Allow FAT12 with cluster size 512, or FAT32 with cluster size 4K or 8K.

                                Disallow all other cluster sizes and FAT16.

<Geometry options> explained in examples:

  auto                          Use default geometry (255 heads, 63 sectors per track)

  h:255,s:63                    Same as above

  h:127,s:32                    127 heads, 32 sectors per track

  s:32                          Override sectors per track (255 heads, 32 sectors per track)

  h:127                         Override heads (127 heads, 63 sectors per track)

Minimum value for sectors per track is 15 for fat32 formatted disks and 11 for fat12/fat16 formatted disks.

Maximum value for sectors per track is 63.

Head count value must be between 2 and 255.

Cylinder count is detected automatically by FlashBoot.


Upgrading from FlashBoot 2.x/1.x

We provide free lifetime upgrades for all users of FlashBoot, since 2005.

If you have ordered FlashBoot 2.3b or later version, you can upgrade to FlashBoot 3.x Pro simply by redownloading FlashBoot installer from order result URL. This is permanent private URL always pointing to latest version of FlashBoot Pro, corresponding to your order. For you convenience, this URL is also displayed on the "More Info..." screen of first page of FlashBoot wizard.

If you have ordered FlashBoot 2.0-2.3a or 1.x, then you can download and install FlashBoot 3.x Free from https://www.prime-expert.com/flashboot/ , and then convert it to FlashBoot 3.x Pro by adding your license key file license_key.xml or flashboot_license_key.xml to installation folder (usually "C:\Program Files\FlashBoot") or to My Documents folder. This license key was delivered as e-mail attachment after your order. This applies both to installable version and to portable version.


Compatibility with older computers

Ideally, all computers should support LBA interface for accessing boot USB storage devices, present bootable USB thumbdrive as first storage device, and provide full access to all its data, without remapping and shifting sectors in firmware.

But unfortunately, many real world BIOSes, especially on older computers, have bugs and quirks in implementation of this interface for USB boot devices. For specific formatting scenarios (related to Windows XP and DOS), when compatibility with older computers really matters, FlashBoot goes great length to take care of these issues by installing special stage1 and stage2 loaders.

Sometimes disk CHS geometry is different from BIOS to BIOS. E.g., when formatted on the workstation, the USB disk sometimes is not bootable on the embedded hardware because of different CHS geometry on Windows and under embedded BIOS.

FlashBoot allows to specify disk CHS geometry explicitly at format time, and stage2 loader will force it to predefined values at run time.

Some BIOSes cut off MBR track from USB disk when booting (especially for A:-mapped boots). E.g., they map only partition 1 of USB disk via int 13h.

FlashBoot stage2 loader emulates MBR track in such cases, thus hiding firmware diversity and avoiding OS confusion when it switches to native hardware drivers to access USB disk.

Some BIOSes provide int 13h extended API for USB disks, some do not. Some BIOSes do not provide these services in USB-ZIP mode, but provide ones in USB-HDD mode.

To unify runtime environment, FlashBoot stage2 loader always provides LBA and CHS disk access to USB device it boots from.

When BIOS boots from ordinary, non-FlashBoot formatted USB disk, this disk is mapped to A: or C: at BIOS discretion, quite randomly. In the majority of real world cases USB-ZIP formatted disks are mapped to A: and USB-HDD disks are mapped to C:.

But there are some exceptions.

For example, ASUS P5GDC-V BIOS in Auto mode maps 0-512Mb USB disks to A: and 512+ Mb disks to C:.

ASUS P6T BIOS in Auto mode maps 0-1024Mb USB disks to A: and 1024+ Mb disks to C:.

ASUS netbooks show similar behavior, but unfortunately there is no setting in their BIOS setups to override such "Auto mode" when choice between A: / C: is made by BIOS depending on disk size

All this diversity is no more a problem for FlashBoot user. When formatting USB disk, you'll be able to specify target drive letter, e.g. A: or C:, and stage2 loader of FlashBoot will take care of this problem at run time.

At boot time, stage1 and stage2 loaders execute the following algorithm:

1) Stage1 loader loads stage2 loader via CHS or LBA interface in slow (single-sector transfer) mode and verifies its checksum. If something does wrong at this step, then the following error message is displayed:

Boot from USB disk failed, status <000000000>.

Press Ctrl+Alt+Del to reboot.

Each status digit corresponds to certain BIOS disk.

x x x x x x x x x

| | | | | | | | |

| | | | | | | | +----- Status digit of boot disk DL

| | | | | | | +------- Status digit of disk 0x80

| | | | | | +--------- Status digit of disk 0

| | | | | +----------- Status digit of disk 0x81

| | | | +------------- Status digit of disk 1

| | | +--------------- Status digit of disk 0x82

| | +----------------- Status digit of disk 2

| +------------------- Status digit of disk 0x83

+--------------------- Status digit of disk 3

Meaning of each status digit:

0 | No single sector of stage2 loader was read from disk, neither in CHS nor in LBA mode
1 | Should not happen (internal error in stage1 loader)
2 | Some sectors of stage2 loader were read from disk in LBA mode, but not all. No single sector could be read from disk in CHS mode.
3 | All sectors of stage2 loader were read from disk in LBA mode, but checksum or signature does not mach the expected one.
4 | Some sectors of stage2 loader were read from disk in CHS mode, but not all. No single sector could be read from disk in LBA mode.
5 | All sectors of stage2 loader were read from disk in CHS mode, but checksum or signature does not mach the expected one.
6 | Some sectors of stage2 loader were read from disk in LBA mode, but not all. Some sectors of stage2 loader were read from disk in CHS mode, but not all.
7 | Some sectors of stage2 loader were read from disk in LBA mode, some other sectors of stage2 loader were read from disk in CHS mode, but checksum or signature does not mach the expected one.

2) FlashBoot stage2 loader tries to read first 128 sectors of the File Allocation Table via CHS and LBA interfaces. If either fails, stage2 loader switches to single-sector transfer mode and retries. If that interface fails again, stage2 loader prints "LBA not available" or "CHS not available". If LBA was unavailable in stage1, it is not tried here again, then only CHS is tried.

3) If both interfaces have failed, stage2 loader prints "Press Ctrl+Alt+Del to reboot" and softly halts machine.

4) Once FAT#1 and FAT#2 is loaded into the memory via CHS and/or LBA, stage2 loader compares FAT#1 versus FAT#2 to verify each BIOS interface. If FAT#1 does not match FAT#2 for LBA-originated data, stage2 loader prints "FAT#1 != FAT#2 for LBA on this BIOS". If FAT#1 does not match FAT#2 for CHS-originated data, FlashBoot prints "FAT#1 != FAT#2 for CHS on this BIOS".

5) If both interfaces have failed, stage2 loader prints "Press Ctrl+Alt+Del to reboot" and softly halts machine.

6) stage2 loader chooses LBA if available, otherwise it falls back to CHS. Then it prints either "LBA mode" or "CHS mode". If single-sector transfer mode is active, it adds " (slow)".

7) If BIOS hides MBR track, then stage2 loader prints the following message:

BIOS hides MBR track of USB boot disk (emulating)


Compatibility with Windows XP and Vista

 Top Previous

FlashBoot is fully functional under Windows XP and Windows Vista. FlashBoot does not mount registry hives, FAT filesystems, WIM and VHD images via Windows kernel. These features are implemented inside FlashBoot, without invocation of platform-specific tools.

If you run FlashBoot under Windows XP, formatting in UEFI mode will still work, but because resulting USB thumbdrive will have GPT layout (instead of usual MBR layout), you won't be able to view list of files on the resulting USB thumbdrive in Windows XP File Explorer. Under Windows Vista/7/8.x/10/11 resulting USB thumbdrive will be perfectly viewable. FlashBoot will still recognize USB thumbdrive with GPT layout even in Windows XP if you need to reformat it.